./www/p5-HTML-Mason, Perl-based web site development and delivery system

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.58nb1, Package name: p5-HTML-Mason-1.58nb1, Maintainer: pkgsrc-users

Mason allows web pages and sites to be constructed from shared,
reusable building blocks called components. Components contain a
mix of Perl and HTML, and can call each other and pass values back
and forth like subroutines. Components increase modularity and
eliminate repetitive work: common design elements (headers, footers,
menus, logos) can be extracted into their own components where they
need be changed only once to affect the whole site.


Required to run:
[www/p5-HTML-Parser] [lang/perl5] [devel/p5-Class-Container] [devel/p5-Exception-Class] [devel/p5-Cache-Cache] [devel/p5-Params-Validate] [devel/p5-Log-Any]

Required to build:
[www/p5-CGI] [devel/p5-Test-Deep] [www/apache24] [pkgtools/cwrappers]

Master sites: (Expand)

SHA1: aa1271ebdc3ca680055af67f499bdda2e0b08f70
RMD160: 5aaee5513fb83f3dfd7c003c28b27dd1d1ec6ee7
Filesize: 313.281 KB

Version history: (Expand)


CVS history: (Expand)


   2018-08-22 11:48:07 by Thomas Klausner | Files touched by this commit (3558)
Log message:
Recursive bump for perl5-5.28.0
   2017-10-31 08:43:13 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 1.58

Upstream changes:
1.58     2017-10-29

    - Redid the release because of some dzil issues. 1.57 might be a little
      wonky.

1.57     2017-10-29

    [ BUG FIXES ]

    - Fix test failures under 5.26.0+ due to "." no longer being in \ 
@INC. PR
      By Kent Fredric. GH #6. Fixed RT #121443.
   2017-10-09 10:18:52 by Thomas Klausner | Files touched by this commit (1) | Package updated
Log message:
p5-HTML-Mason: update HOMEPAGE
   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0
   2017-03-12 00:21:12 by Maya Rashish | Files touched by this commit (4)
Log message:
Unbreak the tree after adding ap{22,24} to p5-libapreq some, sorry.

XXX some package can do either libapreq{,2} and so it should embed
a version as well, but seems to have issues
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2016-05-03 12:54:58 by Thomas Klausner | Files touched by this commit (78)
Log message:
Reset maintainer (observer now).
   2016-01-30 16:04:32 by Makoto Fujiwara | Files touched by this commit (1)
Log message:
Add following line for make test
 BUILD_DEPENDS+=        p5-CGI-[0-9]*:../../www/p5-CGI